# Maintainer: Efe Çetin <efectn@protonmail.com>

pkgname=debian-subsystem
pkgver=1.11.1
pkgrel=2
pkgdesc="Debian subsystem integration for host distribution."
url="https://gitlab.com/sulincix/${pkgname}"
arch=(x86_64)
license=(WTFPL)
depends=(wget polkit make vte3 gtk3)
makedepends=(make gcc vala)
optdepends=('debootstrap: Debian bootstrap support'
            'debian-archive-keyring: GnuPG archive keys of the Debian archive')
source=("${url}/-/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz")
sha256sums=('SKIP')

build() {
  cd ${pkgname}-${pkgver}

  NOSUID=0 make build-core DESTDIR=${pkgdir}
  NOSUID=0 make build-extra DESTDIR=${pkgdir}
}

package() {
  cd ${pkgname}-${pkgver}

  make install-core install-polkit install-terminal DESTDIR=${pkgdir}
}
